question

RakeshKumar-4431 avatar image
1 Vote"
RakeshKumar-4431 asked saldana-msft edited

Id attributes are missing in OneNote page content fetched via Microsoft Graph

We are creating a OneNote page using the below Graph endpoint. Several id attributes are present in the HTML content of this page.

 POST .. groups/{group-id}/onenote/sections/{section-id}/pages

To get the OneNote page content again, we are using the below graph end point.

 GET ..groups/{group-id}/onenote/pages/{page-id}/content?includeIds=true

In the case of one of our customers, when we get the page content, we don't see those id attributes that we added when creating the page. Other customers do not experience this problem.

We checked that we did not PATCH anything on that page before it started returning page content without id attributes.

In debugging, we noticed that if we create a OneNote page and get the page content immediately, we get the IDs back, but if we do it later, we don't.


Here are the details of the latest get request for that page content.

 curl $'https://graph.microsoft.com/v1.0/groups/e07ccbcc-3464-4777-aa3a-466cc0db328c/onenote/pages/1-1ea50c06f867479a84ffa6a1f3710e0d\u002157-7b03c43d-87ff-4692-8664-d3a42822b7ed/content?includeIds=true' \
   -H 'Connection: keep-alive' \
   -H 'Cache-Control: no-cache' \
   -H 'sec-ch-ua: "Chromium";v="92", " Not A;Brand";v="99", "Microsoft Edge";v="92"' \
   -H 'Pragma: no-cache' \
   -H 'sec-ch-ua-mobile: ?0' \
   -H 'Authorization: Bearer 
   -H 'client-request-id: 95a44839-0407-4fe7-b497-294c9375ea1f' \
   -H 'Accept: application/json, text/plain, */*' \
   -H 'User-Agent: Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/92.0.4515.159 Safari/537.36 Edg/92.0.902.84' \
   -H 'If-Modified-Since: Mon: 26 Jul 1997 05:00:00 GMT' \
   -H 'Origin: https://app.boarddecisions.com' \
   -H 'Sec-Fetch-Site: cross-site' \
   -H 'Sec-Fetch-Mode: cors' \
   -H 'Sec-Fetch-Dest: empty' \
   -H 'Referer: https://app.boarddecisions.com/' \
   -H 'Accept-Language: en-GB,en;q=0.9,en-US;q=0.8' \
   --compressed











microsoft-graph-sdkmicrosoft-graph-applicationsmicrosoft-graph-notes
· 4
5 |1600 characters needed characters left characters exceeded

Up to 10 attachments (including images) can be used with a maximum of 3.0 MiB each and 30.0 MiB total.

Hi @RakeshKumar-4431, Could you please to provide more details about several id attributes in the HTML content? So that we can reproduce your problem.

0 Votes 0 ·

Sure thanks @JosephXu-MSFT!

For different table elements, we have id attributes.
Example -

 <table border="1" data-type="tasks" id="meetingDecisionsTable" style="width:1080px">
 ......
 </table>
    
 <table border="1" data-type="tasks" id="meetingTasksTable" style="width:1080px">
 ......
 </table>

We usually get these IDs back in the data-id attribute like below.
130159-image.png

For one specific customer, we are not getting any data-id attribute in the page content. We are unable to reproduce this issue outside of the customer's environment. Therefore, it should be tracked with the request id provided above.


1 Vote 1 ·
image.png (188.4 KiB)

Hi @RakeshKumar-4431, I also try to reproduce your issue, but with no luck. I will ask for help and reply you asap.

0 Votes 0 ·

Would you please provide us with an update on the status of your issue?

0 Votes 0 ·

0 Answers